Skip to main content
`Ctrl`+`K`

# TSRHSJacobianPFn

A prototype of a function that computes the Jacobian of G w.r.t. the parameters P where U_t = G(U,P,t), as well as the location to store the matrix that would be passed to `TSSetRHSJacobianP()`

## Synopsis

    #include <petscts.h>
    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode TSRHSJacobianPFn(TS ts, PetscReal t, Vec U, Mat A, PetscCtx ctx);

## Calling Sequence

- ts - the `TS` context

- t - current timestep

- U - input vector (current ODE solution)

- A - output matrix

- ctx - [optional] user-defined function context

## Note

The deprecated `TSRHSJacobianP` still works as a replacement for `TSRHSJacobianPFn` *.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetRHSJacobianP()`, `TSGetRHSJacobianP()`

## Level

beginner

## Location

include/petscts.h

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages